#ifndef pdfo_h

#define pdfo_h

#include "pdf/pdfw.h"

struct pdfo_optimizer;

enum s_status pdfo_create (struct pdfw_writer *pdfw,
			   struct pdfo_optimizer **pdfo);
void pdfo_destroy (struct pdfo_optimizer *pdfo);

enum s_status pdfo_push (struct pdfo_optimizer *pdfo, 
			 struct pdfw_opcode *opc);

enum s_status pdfo_flush (struct pdfo_optimizer *pdfo);

#endif
